//	LN^LCD I2CA_v^F}X^[Cu
//	wt]xH쎺	http://jsdiy.web.fc2.com

#ifndef I2CCHARLCDLIB_H_
#define I2CCHARLCDLIB_H_


#include "twilib.h"
#include "I2cCharLcdCmd.h"

uint8_t	I2CCHARLCD_Init(uint8_t slaveAddress, uint8_t columnSize, uint8_t rowSize);
void	I2CCHARLCD_SlaveSelect(uint8_t slaveAddress);
uint8_t	I2CCHARLCD_SendCmd(uint8_t cmd);
uint8_t	I2CCHARLCD_SendData(uint8_t data);
uint8_t	I2CCHARLCD_SetLineMode(uint8_t lineMode, uint8_t cursorFlag);
uint8_t	I2CCHARLCD_SetPos(uint8_t row_y, uint8_t column_x);
uint8_t	I2CCHARLCD_Cls();
uint8_t	I2CCHARLCD_PutChar(char cc);
uint8_t	I2CCHARLCD_PutString(const char* str);
uint8_t	I2CCHARLCD_PutStringP(const char* strpgm);
uint8_t	I2CCHARLCD_PutInt(int16_t n);
uint8_t	I2CCHARLCD_PutUInt(uint16_t n);
uint8_t	I2CCHARLCD_PutByte(uint8_t n);
uint8_t	I2CCHARLCD_PutWord(uint16_t n);
uint8_t	I2CCHARLCD_DefChar(uint8_t id, const uint8_t* dots);

//arduino LiquidCrystalCu̖OiQlj
#define I2CCHARLCD_LiquidCrystal(sla)	I2CCHARLCD_SlaveSelect(sla)	//̖{foCXڑĂꍇA؂ւړIł̓sxĂяo
#define I2CCHARLCD_begin(sla, cols, rows)	I2CCHARLCD_Init(sla, cols, rows)	//̖{foCXڑĂꍇAꂼɑ΂1Ăяo
#define I2CCHARLCD_clear()	I2CCHARLCD_Cls()
#define I2CCHARLCD_home()	I2CCHARLCD_SetPos(0, 0)
#define I2CCHARLCD_setCursor(col, row)	I2CCHARLCD_SetPos(row, col)
#define I2CCHARLCD_createChar(num, data)	I2CCHARLCD_DefChar(num, data)
#define I2CCHARLCD_write(cc)	I2CCHARLCD_PutChar(cc)
#define I2CCHARLCD_print(str)	I2CCHARLCD_PutString(str)	//p
#define I2CCHARLCD_printDEC(n)	I2CCHARLCD_PutInt(n)	//10i\A16rbg̕萮p
#define I2CCHARLCD_printHEX(n)	I2CCHARLCD_PutByte(n)	//16i\A1oCgp


#endif	//I2CCHARLCDLIB_H_
